Subject: bug#47244: 28.0.50; SIGSEGV in long-runnning Emacs

From: martin rudalics <[email-masked]>
Date: Wed, 7 Apr 2021 22:25:38 +0200

> Using watchpoints on Vwindow_list that are turned off when in
 > window_list() and ignored when it is set to nil, I was at least able to
 > determine that whatever is modifying the list is doing so destructively,
 > not by setting a new value.

Since I don't believe in miracles I expected that.  But I've been
searching our code base repeatedly and nowhere found a clue that that
list - the return value of window_list - would be modified in such a
deterministic and orderly way.  Maybe I'm blind already.

martin